For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Events

Create events in batch

POST
https://api.brevo.com/v3/events/batch
POST
/v3/events/batch
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.event.createBatchEvents({
8 events: [
9 {
10 eventName: "order_created",
11 identifiers: {},
12 },
13 ],
14 });
15}
16main();
1{
2 "message": "Batch accepted. Valid events have been added to the processing queue.",
3 "count": 7
4}
Create multiple events to track contacts' interactions in a single request.
Was this page helpful?
Previous

Create/Update object records in bulk

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Request

This endpoint expects an object.
eventslist of objectsRequired

Response

Batch accepted - all events have been added to the processing queue

messagestring
Confirmation message indicating the batch was accepted
countinteger
Number of events queued for processing

Errors

400
Bad Request Error
401
Unauthorized Error